## jas 2.7.200

=== Makefile ===
#
# $Id$
#
# Makefile with default rules for the Java-Algebra-System
# by Heinz kredel
#
# created 2.6.2000 hk 
# modified 1.1.2003 hk 
# todo 

# set this to your jdk binaries path
#JDK=/usr/lib/jvm/java/bin
#JDK=/usr/java/jdk1.6.0_02/bin
#JDK=/usr/lib/java/bin
#JDK=/usr/java/latest/bin
JDK=/usr/lib64/jvm/java/bin
#JDK=/usr/lib/jvm/java-1.5.0-sun-1.5.0/bin

#JASPATH=$(HOME)/jas
SVNREPO=/home/SUBVERSION
LIBPATH=$(HOME)/java/lib
#JUNITPATH=$(LIBPATH)/junit.jar
JUNITPATH=$(LIBPATH)/junit-4.13.1.jar:$(LIBPATH)/hamcrest-core-1.3.jar
#LOG4JPATH=$(LIBPATH)/log4j-1.2.17.jar
#LOG4JPATH=$(LIBPATH)/log4j-core-2.5.jar:$(LIBPATH)/log4j-api-2.5.jar:$(LIBPATH)/log4j-1.2-api-2.5.jar
LOG4JPATH=$(LIBPATH)/log4j-core-2.17.1.jar:$(LIBPATH)/log4j-api-2.17.1.jar
#LOG4JPATH=$(LIBPATH)/mylog.jar
#LOG4JPATH=$(LIBPATH)/nolog.jar
JOMPPATH=$(LIBPATH)/jomp1.0b.jar
TNJPATH=$(LIBPATH)/tnj.jar
LINTPATH=$(LIBPATH)/lint4j.jar
PYPATH=$(LIBPATH)/jython.jar

# --- syncing ----------
DRY=--dry-run
DELETE=
RSYNC=rsync -e ssh -avuz $(DRY) $(DELETE) --exclude=*~ --include=doc/git_change.log --include=jdepend-report.txt --exclude=*.log* --exclude=*.out* --exclude=*.txt* --exclude=.svn --exclude=build/ --exclude=target/ --exclude=reports/ --exclude=.gradle/ --exclude=*.exec
####--exclude=./test
####--exclude=*.ps --exclude=*.pdf --exclude=spin*
####--exclude=*/.jxta/
PART=jas.j18
VERSION=jas-2.7
DEBVERSION=jas-java_2.7
#SVNVERSION=`grep committed-rev .svn/entries |head -1|awk -F = '{ print $2 }'|sed 's/"//g'`

all: usage

home:
	$(RSYNC) krum:java/$(PART)/     .

heinz:
	$(RSYNC) ./                heinz@heinz2:$(PART)

krum:
	$(RSYNC) -e 'ssh' ./       krum:java/$(PART)

pub:
	$(RSYNC) --exclude=*ufd* --exclude=DTD --exclude=lisa* --exclude=*xml ./ krum:htdocs/$(PART)

compute:
	$(RSYNC) ./                compute:java/$(VERSION)

# --- end syncing ----------


# no need to change below this line

# command line arguments, cl is deprecated, use args
cl=
args=$(cl)

#.EXPORT_ALL_VARIABLES :

#DEFS=$(JASPATH)/arith:$(JASPATH)/poly:$(JASPATH)/ps:$(JASPATH)/vector:$(JASPATH)/gb:$(JASPATH)/ufd:$(JASPATH)/gbmod:$(JASPATH)/util:$(JASPATH)/application:$(JASPATH)/root
DOCCLASSES=$(JUNITPATH):$(LOG4JPATH):$(JOMPPATH)
#:$(TNJPATH)
#DOCOPTS=-package
#DOCOPTS=-package -version -author
DOCOPTS=-public -protected -package -author -version

#MYCLASSPATH = .:$(DEFS):$(JUNITPATH):$(JOMPPATH)
#MYCLASSPATH = $(LOG4JPATH):.:$(DEFS):$(JUNITPATH):$(JOMPPATH):$(PYPATH)
MYCLASSPATH = $(LOG4JPATH):.:$(JUNITPATH):$(JOMPPATH):$(PYPATH)
#:$(TNJPATH)

#JAVA_MEM=-Xms1500M -Xmx2900M
#JAVA_MEM=-Xms800M -Xmx1500M
JAVA_MEM=

#SOPTS="-J-cp ../lib/log4j-core-2.5.jar:../lib/log4j-api-2.5.jar:../lib/junit.jar-4.13.1.jar:../lib/hamcrest-core-1.3.jar:. -J-verbose:gc -J-Xms500M -J-Xmx900M"
SOPTS="-J-cp ../lib/log4j-core-2.17.1.jar:../lib/log4j-api-2.17.1.jar:../lib/junit.jar-4.13.1.jar:../lib/hamcrest-core-1.3.jar:. "
#SOPTS="-J-verbose:gc -J-Xms1500M -J-Xmx2900M"
#SOPTS="-J-verbose:gc -J-Xms500M -J-Xmx900M"


JAVAC=$(JDK)/javac -classpath $(MYCLASSPATH) -d . -Xlint:unchecked
# -verbose:class 
#-Djava.util.logging.config.file=logging.properties 
#JAVA=$(JDK)/java -classpath $(MYCLASSPATH) -verbose:gc 
JAVA=$(JDK)/java -classpath $(MYCLASSPATH) -server $(JAVA_MEM) -XX:+AggressiveHeap -XX:+UseParallelGC -XX:ParallelGCThreads=2 -verbose:gc 
#-Xrunhprof:cpu=samples,heap=sites,force=n
#-Xbatch
#JAVA=$(JDK)/java -classpath $(MYCLASSPATH) -verbose:gc -Xrunhprof:cpu=times,format=a
#JAVA=$(JDK)/java -classpath $(MYCLASSPATH) -verbose:gc -verbose:class -verbose:jni
DOC=$(JDK)/javadoc -classpath $(DOCCLASSES)

usage:
	echo; echo "usage: make <class> args='cmd'"; echo


FIX       = fixm2j
GETC      = getc.pl
#JOPT      = -prof:gb.prof -tm
#-mx100000000


.SUFFIXES :
.SUFFIXES : .class .java 
.PRECIOUS : %.java %.class edu/jas/arith/%.class edu/jas/poly/%.class edu/jas/ps/%.class edu/jas/gb/%.class edu/jas/vector/%.class edu/jas/ufd/%.class edu/jas/fd/%.class edu/jas/gbmod/%.class edu/jas/structure/%.class edu/jas/util/%.class edu/jas/application/%.class edu/jas/kern/%.class edu/jas/root/%.class edu/jas/%.class

.PHONY    : clean doc

all:
	$(JAVAC) src/edu/jas/*/*.java src/edu/mas/*/*.java trc/edu/jas/*/*.java trc/edu/mas/*/*.java

%.class: %.java
	$(JAVAC) $<

edu/jas/%.class: src/edu/jas/%.java
	$(JAVAC) $<


edu/jas/arith/%Test.class: trc/edu/jas/arith/%Test.java
	$(JAVAC) $<

edu/jas/arith/%.class: src/edu/jas/arith/%.java
	$(JAVAC) $<


edu/jas/poly/%Test.class: trc/edu/jas/poly/%Test.java
	$(JAVAC) $<

edu/jas/poly/%.class: src/edu/jas/poly/%.java
	$(JAVAC) $<


edu/jas/ps/%Test.class: trc/edu/jas/ps/%Test.java
	$(JAVAC) $<

edu/jas/ps/%.class: src/edu/jas/ps/%.java
	$(JAVAC) $<


edu/jas/gb/%Test.class: trc/edu/jas/gb/%Test.java
	$(JAVAC) $<

edu/jas/gb/%.class: src/edu/jas/gb/%.java
	$(JAVAC) $<


edu/jas/ufd/%Test.class: trc/edu/jas/ufd/%Test.java 
	$(JAVAC) $<

edu/jas/ufd/%.class: src/edu/jas/ufd/%.java 
	$(JAVAC) $<


edu/jas/fd/%Test.class: trc/edu/jas/fd/%Test.java 
	$(JAVAC) $<

edu/jas/fd/%.class: src/edu/jas/fd/%.java 
	$(JAVAC) $<


edu/jas/vector/%Test.class: trc/edu/jas/vector/%Test.java
	$(JAVAC) $<

edu/jas/vector/%.class: src/edu/jas/vector/%.java
	$(JAVAC) $<


edu/jas/gbmod/%Test.class: trc/edu/jas/gbmod/%Test.java
	$(JAVAC) $<

edu/jas/gbmod/%.class: src/edu/jas/gbmod/%.java
	$(JAVAC) $<


edu/jas/gbufd/%Test.class: trc/edu/jas/gbufd/%Test.java
	$(JAVAC) $<

edu/jas/gbufd/%.class: src/edu/jas/gbufd/%.java
	$(JAVAC) $<


edu/jas/structure/%Test.class: trc/edu/jas/structure/%Test.java
	$(JAVAC) $<

edu/jas/structure/%.class: src/edu/jas/structure/%.java
	$(JAVAC) $<


edu/jas/util/%Test.class: trc/edu/jas/util/%Test.java
	$(JAVAC) $<

edu/jas/util/%.class: src/edu/jas/util/%.java
	$(JAVAC) $<


edu/jas/application/%Test.class: trc/edu/jas/application/%Test.java
	$(JAVAC) $<

edu/jas/application/%.class: src/edu/jas/application/%.java
	$(JAVAC) $<


edu/jas/root/%Test.class: trc/edu/jas/root/%Test.java
	$(JAVAC) $<

edu/jas/root/%.class: src/edu/jas/root/%.java
	$(JAVAC) $<


edu/jas/kern/%Test.class: trc/edu/jas/kern/%Test.java
	$(JAVAC) $<

edu/jas/kern/%.class: src/edu/jas/kern/%.java
	$(JAVAC) $<


edu/jas/integrate/%Test.class: trc/edu/jas/integrate/%Test.java
	$(JAVAC) $<

edu/jas/integrate/%.class: src/edu/jas/integrate/%.java
	$(JAVAC) $<


edu/mas/kern/%Test.class: trc/edu/mas/kern/%Test.java
	$(JAVAC) $<

edu/mas/kern/%.class: src/edu/mas/kern/%.java
	$(JAVAC) $<


edu.jas.%: edu/jas/%.class
	$(JAVA) $@ $(args)

edu.jas.arith.%: edu/jas/arith/%.class
	$(JAVA) $@ $(args)

edu.jas.poly.%: edu/jas/poly/%.class
	$(JAVA) $@ $(args)

edu.jas.ps.%: edu/jas/ps/%.class
	$(JAVA) $@ $(args)

edu.jas.gb.%: edu/jas/gb/%.class
	$(JAVA) $@ $(args)

edu.jas.ufd.%: edu/jas/ufd/%.class
	$(JAVA) $@ $(args)

edu.jas.fd.%: edu/jas/fd/%.class
	$(JAVA) $@ $(args)

edu.jas.gbufd.%: edu/jas/gbufd/%.class
	$(JAVA) $@ $(args)

edu.jas.vector.%: edu/jas/vector/%.class
	$(JAVA) $@ $(args)

edu.jas.gbmod.%: edu/jas/gbmod/%.class
	$(JAVA) $@ $(args)

edu.jas.structure.%: edu/jas/structure/%.class
	$(JAVA) $@ $(args)

edu.jas.util.%: edu/jas/util/%.class
	$(JAVA) $@ $(args)

edu.jas.application.%: edu/jas/application/%.class
	$(JAVA) $@ $(args)

edu.jas.root.%: edu/jas/root/%.class
	$(JAVA) $@ $(args)

edu.jas.kern.%: edu/jas/kern/%.class
	$(JAVA) $@ $(args)

edu.jas.integrate.%: edu/jas/integrate/%.class
	$(JAVA) $@ $(args)

edu.mas.kern.%: edu/mas/kern/%.class
	$(JAVA) $@ $(args)


FILES=$(wildcard src/edu/jas/structure/*.java src/edu/jas/arith/*.java src/edu/jas/poly/*.java src/edu/jas/ps/*.java src/edu/jas/gb/*.java src/edu/jas/application/*.java src/edu/jas/vector/*.java src/edu/jas/gbmod/*.java src/edu/jas/gbufd/*.java src/edu/jas/util/*.java src/edu/jas/ufd/*.java src/edu/jas/fd/*.java src/edu/jas/kern/*.java src/edu/jas/root/*.java src/edu/jas/integrate/*.java)

TESTFILES=$(wildcard trc/edu/jas/structure/*.java trc/edu/jas/arith/*.java trc/edu/jas/poly/*.java trc/edu/jas/ps/*.java trc/edu/jas/gb/*.java trc/edu/jas/application/*.java trc/edu/jas/vector/*.java trc/edu/jas/gbmod/*.java trc/edu/jas/gbufd/*.java trc/edu/jas/util/*.java trc/edu/jas/ufd/*.java trc/edu/jas/fd/*.java trc/edu/jas/kern/*.java trc/edu/jas/root/*.java trc/edu/jas/integrate/*.java)

LIBS=$(subst :,, $(JUNITPATH)) $(subst :,, $(LOG4JPATH)) $(JOMPPATH) $(TNJPATH)

CLASSES=edu/jas/structure/ edu/jas/arith/ edu/jas/poly/ edu/jas/ps/ edu/jas/gb/ edu/jas/gbufd edu/jas/application/ edu/jas/vector/ edu/jas/gbmod/ edu/jas/util/ edu/jas/ufd/ edu/jas/fd/ edu/jas/kern/ edu/jas/root/ edu/jas/integrate/

PYS=$(wildcard *.py)
EXAMPY=$(wildcard examples/*.py)
EXAMRB=$(wildcard examples/*.rb)
EXAMJAS=$(subst examples/,, $(wildcard examples/*.jas))

DOCU=$(wildcard doc/jas-log.html index.html doc/problems.html doc/design.html COPYING* sample.jythonrc doc/overview.html)
# */package.html 

doc: $(FILES) $(TESTFILES)
	$(DOC) $(DOCOPTS) -d doc/api $(FILES) $(TESTFILES)

epydoc: examples/jas.py
#	epydoc -o doc/jython -n "Python to JAS" -u ../../index.html `find examples -name "*.py"|grep -v versuch`
#       --exclude-parse=java.lang --exclude-parse=com.xhaus.jyson 
	epydoc --check -o doc/jython -n "Python to JAS" -u ../../index.html examples/jas.py examples/basic_sigbased_gb.py examples/sdjas.py

rdoc: examples/jas.rb
	jrdoc -o doc/jruby -C -U -N -t "Ruby to JAS" examples/jas.rb examples/sdjas.rb

texdoc: $(FILES) $(TESTFILES)
	mkdir -p doc/tex
	rm -f doc/tex/*
	$(DOC) $(DOCOPTS) -doclet TexGen -docletpath ~/java/lib/texgen.jar -dest doc/tex $(FILES) $(TESTFILES) 
	ls doc/tex/* | grep -v Test | grep -v allclasses | xargs cat > doc/tex/allclasses.tex
	sed -i -f doc/totex.sed doc/tex/allclasses.tex
	cd doc; pdflatex jas_texgen.tex

ALLJAR=$(FILES) $(TESTFILES) $(DOCU) Makefile build.xml $(PYS)
#log4j2.properties

jas-all.jar: $(ALLJAR)
	$(JDK)/jar -cvf jas.jar $(ALLJAR) edu/ 
	cp jas.jar $(LIBPATH)/
	mv jas.jar /tmp/jas-`date +%Y%j`.jar

jas.tgz: $(FILES) $(TESTFILES) *.html doc/*.html doc/TODO README
	tar -cvzf jas.tgz $(FILES) $(TESTFILES) *.html doc/*.html doc/TODO README
	cp jas.tgz /tmp/jas-`date +%Y%j`.tgz

#	cp jas.jar ...../jas-`date +%Y%j`.jar
#jas-run.jar: GBManifest.MF $(TOJAR)
#	$(JDK)/jar -cvfm jas-run.jar GBManifest.MF $(TOJAR)


TOJAR=$(FILES) $(TESTFILES) $(CLASSES) Makefile build.xml $(EXAMPY) examples/machines.test $(wildcard COPYING*)
#log4j2.properties 

jas.jar: $(FILES) $(TESTFILES) Makefile build.xml $(EXAMPY) #log4j2.properties 
	$(JDK)/jar -cf jas.jar $(TOJAR)
	cp jas.jar $(LIBPATH)/
#	$(JDK)/jar -cf jas.jar $(filter-out %/ufd/, $(filter-out src/edu/jas/ufd/%.java, $(TOJAR)))

jas-doc.jar: $(DOCU) doc/
	$(JDK)/jar -cvf jas-doc.jar $(DOCU) doc/


dist: jas.jar jas-run.jar jas-doc.jar $(LIBS)
	tar -cvzf jas-dist.tgz jas.jar jas-run.jar jas-doc.jar $(LIBS)

#

jars: jas-run.jar jas-doc.jar
#jars: jas.jar jas-run.jar jas-doc.jar


lint:
	$(JDK)/java -jar $(LINTPATH) -v 3 -classpath $(DOCCLASSES):jas.jar -sourcepath src edu.jas.*
#	$(JDK)/java -jar $(LINTPATH) -v 5 -exact -classpath $(DOCCLASSES) -sourcepath src edu.jas.*


clean:
	find . -name "*~" -follow -print -exec rm {} \;
	#rm -f application/application arith/arith kern/kern gbmod/gbmod poly/poly ps/ps gb/gb structure/structure ufd/ufd util/util vector/vector


testp:
	find examples -name "*.py"|grep -v jas.py |grep -v sdexam.py |grep -v plot|grep -v versuch|sort|xargs -L 1 echo "time jython $(SOPTS)" | awk '{ printf "echo %s\n", $$0; printf "%s\n", $$0 }' > ./all_jython.sh
	time bash -i all_jython.sh 2>&1 | tee tjy.out
	-egrep '(Error|ERROR|File|Exception)' tjy.out

testr:
	find examples -name "*.rb"|grep -v jas.rb |grep -v sdexam.rb |grep -v versuch|sort|xargs -L 1 echo "time jruby $(SOPTS) -I." | awk '{ printf "echo %s\n", $$0; printf "%s\n", $$0 }' > ./all_jruby.sh
	time bash -i ./all_jruby.sh 2>&1 | tee tjr.out
	-egrep -i '(error|__file__|exception|failed)' tjr.out

tests:
	ant test 2>&1 | tee t.out
	ant exam 2>&1 | tee e.out
	make edu.jas.application.RunGB cl="seq  examples/trinks6.jas"   2>&1 | tee tr.out

=== commons-math_adapter/Makefile ===
#
# $Id: $
#
# Makefile for the Apache Commons Math Adapter parts
# by Heinz Kredel
#

#JASPATH=$(HOME)/jas
JASPATH=..
LIBPATH=$(HOME)/java/lib
CMJAR=$(LIBPATH)/commons-math3-3.3.jar

CLASSPATH=$(LIBPATH)/log4j-core-2.17.1.jar:$(LIBPATH)/log4j-api-2.17.1.jar:$(LIBPATH)/junit.jar:$(CMJAR):$(JASPATH)
#CLASSPATH=$(LIBPATH)/log4j.jar:$(LIBPATH)/junit.jar:$(CMJAR):$(JASPATH)
#$(LIBPATH)/jas.jar
#LOG4JPATH=$(LIBPATH)/log4j-core-2.13.2.jar:$(LIBPATH)/log4j-api-2.13.2.jar

#DOCOPTS=-package
DOCOPTS=-package -author -version -linksource -Xdoclint:none -overview overview.html
DOCCLASSES=$(CLASSPATH)
DOC=javadoc -classpath $(DOCCLASSES)

.SUFFIXES : .class .java .jar 
.PHONY    : clean

FILES=$(wildcard src/edu/jas/commons/*/*.java)
#echo $(FILES) $(JASPATH)/examples/jas.py
CLASSES=$(subst src,classes,$(subst java,class,$(FILES)))
#echo $(CLASSES)

all: clean commons-math_adapter-bin.jar

$(CLASSES): $(FILES) Makefile
	-mkdir classes
	javac -classpath $(CLASSPATH) -d classes src/edu/jas/commons/*/*.java

#compile: $(HOME)/java/lib/commons-math_adapter.jar

commons-math_adapter-bin.jar: $(CLASSES) 
	-mkdir classes/META-INF
	cp -a manifest.mf classes/META-INF/MANIFEST.MF
	jar cfM commons-math_adapter-bin.jar -C classes .
	cp -f commons-math_adapter-bin.jar $(LIBPATH)
	cp -f commons-math_adapter-bin.jar ..
	jar cf commons-math_adapter-src.jar -C src .

tests:	
	java -cp $(CLASSPATH):commons-math_adapter-bin.jar -Xms500M -Xmx600M -verbose:gc edu.jas.commons.math.CMFieldElementTest
	java -cp $(CLASSPATH):commons-math_adapter-bin.jar -Xms500M -Xmx600M -verbose:gc edu.jas.commons.math.MatrixExamples

clean:
	-rm -rf classes
	find . -name "*~" -follow -print -exec rm {} \;
	-rm -f $(HOME)/java/lib/commons-math_adapter*.jar
	-rm -f commons-math_adapter*.jar

doc: $(FILES)
	$(DOC) $(DOCOPTS) -d ../doc/commons-math_adapter $(FILES)
	jar cf commons-math_adapter-doc.jar -C ../doc/commons-math_adapter .

#JARS=$(LIB)/junit.jar:$(LIB)/log4j.jar:$(LIB)/commons-math-2.1.jar:$(JAS):$(LIB)/jas.jar

=== jlinalg_adapter/Makefile ===
#
# $Id$
#
# Makefile for the JLinAlg Adapter parts
# by Heinz kredel
#

#JASPATH=$(HOME)/jas
JASPATH=..
LIBPATH=$(HOME)/java/lib
JLINALG=$(LIBPATH)/jlinalg-api_0.6.jar

CLASSPATH=$(LIBPATH)/log4j-core-2.17.1.jar:$(LIBPATH)/log4j-api-2.17.1.jar:$(LIBPATH)/junit.jar:$(JLINALG):$(JASPATH)
#CLASSPATH=$(LIBPATH)/log4j.jar:$(LIBPATH)/junit.jar:$(JLINALG):$(JASPATH)
#$(LIBPATH)/jas.jar
#LOG4JPATH=$(LIBPATH)/log4j-core-2.13.2.jar:$(LIBPATH)/log4j-api-2.13.2.jar

#DOCOPTS=-package
DOCOPTS=-package -author -version -linksource -Xdoclint:none -overview overview.html
DOCCLASSES=$(CLASSPATH)
DOC=javadoc -classpath $(DOCCLASSES)

.SUFFIXES : .class .java .jar 
.PHONY    : clean

FILES=$(wildcard src/edu/jas/*/*.java)
#echo $(FILES) $(JASPATH)/examples/jas.py
CLASSES=$(subst src,classes,$(subst java,class,$(FILES)))
#echo $(CLASSES)

all: clean jlinalg_adapter.jar

$(CLASSES): $(FILES) Makefile
	-mkdir -p classes
	javac -classpath $(CLASSPATH) -d classes src/edu/jas/*/*.java
	-echo $(CLASSES)

#compile: $(HOME)/java/lib/jlinalg_adapter.jar

jlinalg_adapter.jar: $(CLASSES) 
	-mkdir -p classes/META-INF
	cp -a manifest.mf classes/META-INF/MANIFEST.MF
	jar cfM jlinalg_adapter.jar -C classes .
	#jar uf  jlinalg_adapter.jar -C src .
	cp -f jlinalg_adapter.jar $(LIBPATH)
	cp -f jlinalg_adapter.jar ..

#	javac -d . -cp $(JARS):. -Xlint:unchecked  edu/jas/jlinalg/*.java
#	jar -cf $(HOME)/java/lib/jlinalg_adapter.jar edu Makefile
#	#jar -tvf $(HOME)/java/lib/jlinalg_adapter.jar

tests:	
	java -cp $(CLASSPATH):jlinalg_adapter.jar -Xms500M -Xmx600M -verbose:gc edu.jas.jlinalg.JLAdapterTest
	java -cp $(CLASSPATH):jlinalg_adapter.jar -Xms500M -Xmx600M -verbose:gc edu.jas.jlinalg.MatrixExamples

clean:
	-rm -rf classes
	find . -name "*~" -follow -print -exec rm {} \;
	-rm -f jlinalg_adapter.jar

doc: $(FILES)
	$(DOC) $(DOCOPTS) -d ../doc/jlinalg_adapter $(FILES)

=== jython/Makefile ===
#
# $Id$
#
# Makefile for the interface of JAS to jython
# by Raphael Jolly, Heinz kredel
#

#JASPATH=$(HOME)/jas
JASPATH=..
LIBPATH=$(HOME)/java/lib

JYTHONPATH=$(HOME)/java/jython/jython.jar
JRUBYPATH=$(HOME)/java/jruby/lib/jruby.jar:$(HOME)/java/jruby/lib/ruby/stdlib

LOG4JPATH=$(LIBPATH)/log4j-core-2.17.1.jar:$(LIBPATH)/log4j-api-2.17.1.jar
JUNITPATH=$(LIBPATH)/junit.jar:$(LIBPATH)/hamcrest-core.jar
CLASSPATH=$(LOG4JPATH):$(JUNITPATH):$(JASPATH):$(LIBPATH)/jas.jar

BOOTCLASSPATH6="/usr/lib64/jvm/java-1.6.0/jre/lib/rt.jar"

.SUFFIXES : .class .java .jar 
.PHONY    : clean

FILES=$(wildcard src/edu/jas/*/*.java)
#echo $(FILES) $(JASPATH)/examples/jas.py
CLASSES=$(subst src,classes,$(subst java,class,$(FILES)))
#echo $(CLASSES)

#DOCOPTS=-package
DOCOPTS=-package -author -version -linksource -overview overview.html
DOCCLASSES=$(CLASSPATH)
DOC=javadoc -classpath $(DOCCLASSES):$(JYTHONPATH)

all: clean jas-jython.jar

$(CLASSES): $(FILES)
	-mkdir -p classes
	javac -g -classpath $(JYTHONPATH):$(CLASSPATH) -sourcepath src -d classes src/edu/jas/*/*.java
	#javac -g -source 1.6 -target 1.6 -classpath $(JYTHONPATH):$(CLASSPATH) -bootclasspath $(BOOTCLASSPATH6) -sourcepath src -d classes src/edu/jas/*/*.java

jas-jython.jar: $(CLASSES) $(JASPATH)/examples/jas.py services/javax.script.ScriptEngineFactory
	-mkdir -p classes/META-INF
	-mkdir -p classes/META-INF/services
	-cp -a manifest.mf classes/META-INF/MANIFEST.MF
	#cp -a services/javax.script.ScriptEngineFactory classes/META-INF/services/
	-cp -a $(JASPATH)/examples/jas.py $(JASPATH)/examples/*.class $(JASPATH)/examples/basic_sigbased_gb.py classes
	#-cp -a $(JASPATH)/examples/jas.pyc classes
	-cp -a $(JASPATH)/examples/jas.rb classes
	-cp -a $(JASPATH)/log4j2.properties classes
	jar cfM jas-jython.jar -C classes .
	cp -f jas-jython.jar $(LIBPATH)
	cp -f jas-jython.jar ..

clean:
	rm -rf classes
	find . -name "*~" -follow -print -exec rm {} \;

tests: jas-jython.jar
	java -client -cp $(JYTHONPATH):$(JRUBYPATH):$(CLASSPATH):jas-jython.jar edu.jas.gb.GBSigBasedTest

exam: jas-jython.jar
	java -client -cp $(JYTHONPATH):$(JRUBYPATH):$(CLASSPATH):jas-jython.jar edu.jas.kern.ScriptingExample

doc: $(FILES)
	$(DOC) $(DOCOPTS) -d ../doc/jas-jython $(FILES)

=== meditor/Makefile ===
#
# $Id$
#
# Makefile for the interface of JAS to meditor
# by Raphael Jolly, Heinz kredel
#

#JASPATH=$(HOME)/jas
JASPATH=..
LIBPATH=$(HOME)/java/lib
MEDITORPATH=$(HOME)/java/meditor3.0

CLASSPATH=$(LIBPATH)/jython.jar:$(MEDITORPATH)/meditor.jar

# incompatible with jython version
#BOOTCLASSPATH4="/usr/java/j2sdk1.4.0/jre/lib/rt.jar"
#	javac -g -source 1.4 -target 1.4 -classpath $(CLASSPATH) -bootclasspath $(BOOTCLASSPATH4) -sourcepath src -d classes src/edu/jas/editorengine/*.java
BOOTCLASSPATH8=/usr/lib64/jvm/java-1.8.0-openjdk-1.8.0/jre/lib/rt.jar

.SUFFIXES : .class .java .jar 
.PHONY    : clean

FILES=$(wildcard src/edu/jas/editorengine/*.java)
#echo $(FILES) $(JASPATH)/examples/jas.py
CLASSES=$(subst src,classes,$(subst java,class,$(FILES)))
#echo $(CLASSES)

all: jas-meditor.jar

$(CLASSES): $(FILES)
	-mkdir classes
	javac -g -source 1.8 -target 1.8 -classpath $(CLASSPATH) -bootclasspath $(BOOTCLASSPATH8) -sourcepath src -d classes src/edu/jas/editorengine/*.java

jas-meditor.jar: $(CLASSES) $(JASPATH)/examples/jas.py manifest.mf services/jscl.editor.EngineFactory
	-mkdir classes/META-INF
	-mkdir classes/META-INF/services
	cp -a manifest.mf classes/META-INF/MANIFEST.MF
	cp -a services/jscl.editor.EngineFactory classes/META-INF/services/
	jar cfM jas-meditor.jar -C classes .
	jar uf jas-meditor.jar -C $(JASPATH)/examples jas.py
	cp -f jas-meditor.jar $(LIBPATH)
	cp -f jas-meditor.jar ..
	-rm -rf classes

clean:
	rm -rf classes

=== mpj/Makefile ===
#
# $Id$
#
# Makefile for the (Fast) MPJ (Express) dependend parts
# by Heinz kredel
#

#JASPATH=$(HOME)/jas
JASPATH=..
LIBPATH=$(HOME)/java/lib

FMPJ_HOME=$(HOME)/java/fastmpj
FMPJ_LIB=$(FMPJ_HOME)/lib/mpj.jar

MPJE_HOME=$(HOME)/java/mpj-v0_44
MPJE_BIN=$(MPJE_HOME)/bin

NP=2
PPN=3

CLASSPATH=$(LIBPATH)/log4j-core-2.17.1.jar:$(LIBPATH)/log4j-api-2.17.1.jar:$(LIBPATH)/junit-4.12.jar:$(FMPJ_LIB):$(JASPATH)
#$(LIBPATH)/jas.jar
CLASSPATHE=$(LIBPATH)/log4j-core-2.17.1.jar:$(LIBPATH)/log4j-api-2.17.1.jar:$(LIBPATH)/junit-4.12.jar:$(JASPATH)
#LOG4JPATH=$(LIBPATH)/log4j-core-2.13.2.jar:$(LIBPATH)/log4j-api-2.13.2.jar

#FMPJ_RUNLIB=$(FMPJ_HOME)/lib/runtime.jar
#FMPJ_CMD=java -cp $(FMPJ_RUNLIB) runtime.FMPJRun -dev niodev -cp $(CLASSPATH):jas-mpj.jar
FMPJ_CMD=$(FMPJ_HOME)/bin/fmpjrun -dev niodev -dmap -cp $(CLASSPATH):jas-mpj.jar
#FMPJ_CMD=$(FMPJ_HOME)/bin/fmpjrun -dev psmdev -dmap -cp $(CLASSPATH):jas-mpj.jar

#old MPJE_CMD=$(MPJE_HOME)/bin/mpjrun.sh -dev niodev -cp $(CLASSPATHE):jas-mpj.jar
MPJE_CMD=mpjrun.sh -dev niodev -cp $(CLASSPATHE):classes:jas-mpj.jar
#MPJE_CMD=mpjrun.sh -dev hybdev -cp "$(CLASSPATHE):classes:jas-mpj.jar"

#DOCOPTS=-package
DOCOPTS=-package -author -version -linksource -Xdoclint:none -overview overview.html
DOCCLASSES=$(CLASSPATH)
DOC=javadoc -classpath $(DOCCLASSES)

# --- syncing ----------
DRY=--dry-run
DELETE=
RSYNC=rsync -e ssh -avuz $(DRY) $(DELETE) --exclude=*~ --exclude=*.log* --exclude=*.out* --exclude=*.txt* --exclude=.svn 


.SUFFIXES : .class .java .jar 
.PHONY    : clean

FILES=$(wildcard src/edu/jas/*/*.java)
#echo $(FILES) $(JASPATH)/examples/jas.py
CLASSES=$(subst src,classes,$(subst java,class,$(FILES)))
#echo $(CLASSES)

all: jas-mpj.jar

$(CLASSES): $(FILES) Makefile
	-mkdir -p classes
	javac -classpath $(CLASSPATH) -d classes src/edu/jas/*/*.java
#	fmpjc -classpath $(CLASSPATH) -d classes src/edu/jas/*/*.java

jas-mpj.jar: $(CLASSES) 
	-mkdir -p classes/META-INF
	cp -a manifest.mf classes/META-INF/MANIFEST.MF
	jar cfM jas-mpj.jar -C classes .
	cp -f jas-mpj.jar $(LIBPATH)
	cp -f jas-mpj.jar ..

clean:
	rm -rf classes
	find . -name "*~" -follow -print -exec rm {} \;

MFILE=machines
#EFILE=$(JASPATH)/examples/ideal_one.jas
#EFILE=$(JASPATH)/examples/ideal_zero.jas
EFILE=$(JASPATH)/examples/trinks6.jas

fmpjtests: jas-mpj.jar
	FMPJ_HOME=$(FMPJ_HOME) $(FMPJ_CMD) -np $(NP) -machinefile $(MFILE) -class edu.jas.application.RunMPJGB disthybmpj $(EFILE) $(NP)/$(PPN) $(MFILE)
#	$(FMPJ_CMD) -np $(NP) -machinefile $(MFILE) -class edu.jas.application.RunMPJGB disthybmpj $(EFILE) $(NP)/$(PPN) $(MFILE)


notest: jas-mpj.jar
	FMPJ_HOME=$(FMPJ_HOME) $(FMPJ_CMD) -np $(NP) -machinefile $(MFILE) -class edu.jas.application.RunMPJGB distmpj $(EFILE) $(NP) $(MFILE)
	FMPJ_HOME=$(FMPJ_HOME) $(FMPJ_CMD) -class edu.jas.gb.HelloWorld
	FMPJ_HOME=$(FMPJ_HOME) $(FMPJ_CMD) -class edu.jas.kern.MPJEngineTest -n $(NP)
	FMPJ_HOME=$(FMPJ_HOME) $(FMPJ_CMD) -class edu.jas.util.DistHashTableMPJTest -n $(NP)


gbtest: jas-mpj.jar
	FMPJ_HOME=$(FMPJ_HOME) $(FMPJ_CMD) -np $(NP) -machinefile $(MFILE) -class edu.jas.gb.GroebnerBaseDistMPJTest 

gbhybtest: jas-mpj.jar
	FMPJ_HOME=$(FMPJ_HOME) $(FMPJ_CMD) -np $(NP) -machinefile $(MFILE) -class edu.jas.gb.GroebnerBaseDistHybridMPJTest 


tests: jas-mpj.jar 
	#export PATH=$(PATH):$(MPJE_BIN); export MPJ_HOME=$(MPJE_HOME); 
	$(MPJE_BIN)/mpjboot machines
	$(MPJE_BIN)/$(MPJE_CMD) -np $(NP) edu.jas.application.RunMPJGB disthybmpj $(EFILE) $(NP)/$(PPN) $(MFILE) nolog nocheck
	$(MPJE_BIN)/mpjhalt machines


doc: $(FILES)
	$(DOC) $(DOCOPTS) -d ../doc/mpj $(FILES)


BWDIR=java/jas-2.5/mpj

home:
	$(RSYNC) bwgrid:$(BWDIR)/src/     src

bwgrid:
	$(RSYNC) src/                     bwgrid:$(BWDIR)/src/

=== debian/changelog ===
jas (2.7.200-1) unstable; urgency=medium

  * Team upload.
  * New upstream version
  * liblog4j1.2-java -> liblog4j2-java
  * Deal with restricted type name

 -- Andreas Tille <tille@debian.org>  Tue, 28 Jan 2025 15:41:32 +0100

jas (2.5.4408-2) unstable; urgency=medium

  * Team upload.

  [ Giovanni Mascellani ]
  * Fix watch file

  [ Andreas Tille ]
  * Secure URI in Homepage
  * d/copyright: Fix Source URL
  * Build-Depends: s/default-jdk/default-jdk-headless/
  * Standards-Version: 4.7.0 (routine-update)
  * debhelper-compat 13 (routine-update)
  * Reorder sequence of d/control fields by cme (routine-update)
  * Secure URI in copyright format (routine-update)
  * Remove trailing whitespace in debian/changelog (routine-update)
  * Add missing build dependency on javahelper for addon javahelper.
  * Prevent potential privacy breach
  * Rename debian/TODO.Debian to debian/TODO

 -- Andreas Tille <tille@debian.org>  Tue, 28 Jan 2025 15:21:31 +0100

=== debian/control ===
Source: jas
Maintainer: Debian Java Maintainers <pkg-java-maintainers@lists.alioth.debian.org>
Uploaders: Giovanni Mascellani <gio@debian.org>
Section: java
Priority: optional
Build-Depends: debhelper-compat (= 13),
               default-jdk-headless,
               liblog4j2-java,
               junit4,
               javahelper
Standards-Version: 4.7.0
Vcs-Browser: https://salsa.debian.org/java-team/jas
Vcs-Git: https://salsa.debian.org/java-team/jas.git
Homepage: https://krum.rz.uni-mannheim.de/jas/

Package: libjas-java
Architecture: all
Depends: ${shlibs:Depends},
         ${misc:Depends},
         ${java:Depends}
Description: Java object-oriented type-safe Algebra System
 Java Algebra System (JAS) is an object-oriented, type-safe and
 multi-threaded library using generic types for algebraic
 computations. It mainly focuses on commutative algebra, solvable
 polynomials, Groebner bases, factorization, power series and real
 roots.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

export JAVA_HOME=/usr/lib/jvm/default-java
export CLASSPATH=/usr/share/java/log4j-core.jar:/usr/share/java/log4j-api.jar:/usr/share/java/junit4.jar
export JH_JAR_EXTRA=log4j2.properties

%:
	dh $@ --with javahelper

# The Makefile won't work
override_dh_auto_build:
	true

=== debian/watch ===
version=4

opts="filenamemangle=s%(?:.*?)?v?(\d[\d.]*)\.tar\.gz%@PACKAGE@-$1.tar.gz%" \
   https://github.com/kredel/java-algebra-system/tags (?:.*?/)?v?(\d[\d.]*)\.tar\.gz
